Bug 1326044 - Fix the user data template for atomic
Summary: Fix the user data template for atomic
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Management
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Partha Aji
QA Contact: Jan Hutař
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-11 16:05 UTC by Partha Aji
Modified: 2019-09-25 21:23 UTC (History)
13 users (show)

Fixed In Version: rubygem-katello-3.0.0.53-1,rubygem-foreman_theme_satellite-0.1.31-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-27 18:04:09 UTC
Target Upstream Version:


Attachments (Terms of Use)
verification screenshot (127.40 KB, image/png)
2016-10-25 18:38 UTC, jcallaha
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 14579 None None None 2016-04-22 16:47:37 UTC
Red Hat Product Errata RHBA-2016:2108 normal SHIPPED_LIVE Satellite 6.2.3 Async Bug Release 2016-10-26 16:21:52 UTC

Description Partha Aji 2016-04-11 16:05:55 UTC
We need the Katello Kickstart User Data template to work with atomic. The current template does things like running yum commands which do not work on atomic.

Comment 1 Partha Aji 2016-04-11 16:05:56 UTC
Created from redmine issue http://projects.theforeman.org/issues/14579

Comment 2 Partha Aji 2016-04-11 16:05:59 UTC
Upstream bug assigned to paji@redhat.com

Comment 4 Bryan Kearney 2016-05-18 22:22:34 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/14579 has been closed

Comment 8 Sachin Ghai 2016-10-13 10:56:17 UTC
Verified with sat6.2.3.

I tried to provision atomic host with following steps:

1. added atomic-host-image from 6.3 under selected libvirt CR
2. associated "Satellite Kickstart Default User Data" template with "Red Hat atomic host 7 OS"
3. created a new host with image-based provisioning

Host was provisioned successfully and I can see that it got registered with satellite. But I can't login on atomic host with default user "cloud-user".

Am I missing something here ?

Comment 9 Sachin Ghai 2016-10-13 12:13:34 UTC
Also, I don't see the fixes in "Satellite Kickstart Default User Data" template as shown in the PR attached to upstream issue. like:

---
groups:
 - admin

users:
 - default
 - name: admin
   primary-group: admin
   groups: users
   shell: /bin/bash
   sudo: ['ALL=(ALL) ALL']
   lock-passwd: false
   passwd: <%= @host.root_pass %>
---


I see these changes in "UserData default" template

Comment 10 Sachin Ghai 2016-10-14 07:39:16 UTC
Please note that if I use "Userdata default" template then I can login with admin user, however not with cloud-user. 

And in case of "Satellite Kickstart Default User Data" template, I was not able to login with cloud-user as well as admin.


Moving this back to assigned state to get more info.

Comment 12 jcallaha 2016-10-25 18:37:39 UTC
Verified in Satellite 6.2.3 Snap 4

The Satellite Kickstart Default User Data template has been update with the appropriate content. Can now login to atomic host as admin user. See attached screenshot.

Comment 13 jcallaha 2016-10-25 18:38:01 UTC
Created attachment 1214046 [details]
verification screenshot

Comment 15 errata-xmlrpc 2016-10-26 12:25:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:2108

Comment 18 Mike McCune 2017-09-27 18:04:09 UTC
This bug was fixed in 6.2.3 and was moved to MODIFIED accidentally, re-closing as it was prior.


Note You need to log in before you can comment on or make changes to this bug.